DiskRange (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.common.io

## Class DiskRange

- java.lang.Object
- - org.apache.hadoop.hive.common.io.DiskRange

- Direct Known Subclasses:
    DiskRangeList

      public class DiskRange
      extends Object

  The sections of a file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `end` The address afterwards.
    `protected long` | `offset` The first address.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskRange(long offset, long end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equalRange(DiskRange other)`
    `boolean` | `equals(Object other)`
    `ByteBuffer` | `getData()`
    `long` | `getEnd()`
    `int` | `getLength()`
    `long` | `getOffset()`
    `boolean` | `hasData()`
    `int` | `hashCode()`
    `protected boolean` | `merge(long otherOffset, long otherEnd)`
    `DiskRange` | `sliceAndShift(long offset, long end, long shiftBy)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected long offset

      The first address.

    - #### end

          protected long end

      The address afterwards.

  - ### Constructor Detail

    - #### DiskRange

          public DiskRange(long offset,
                           long end)

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### equalRange

          public boolean equalRange(DiskRange other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getOffset

          public long getOffset()

    - #### getEnd

          public long getEnd()

    - #### getLength

          public int getLength()

    - #### hasData

          public boolean hasData()

    - #### sliceAndShift

          public DiskRange sliceAndShift(long offset,
                                         long end,
                                         long shiftBy)

    - #### getData

          public ByteBuffer getData()

    - #### merge

          protected boolean merge(long otherOffset,
                                  long otherEnd)

Copyright © 2016 The Apache Software Foundation. All rights reserved.